/**
 * CAROL: Common Architecture for RMI Objectweb Layer
 * Copyright (C) 2009 France Telecom R&D
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SingletonInterceptorManager.java 2162 2009-04-29 12:13:52Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.carol.jndi.intercept.manager;

import org.ow2.carol.jndi.intercept.InterceptorManager;

/**
 * The SingletonInterceptorManager is ...
 *
 * @author Guillaume Sauthier
 */
public class SingletonInterceptorManager extends DefaultInterceptorManager {

    private static InterceptorManager singleton;

    public static InterceptorManager getInterceptorManager() {
        if (singleton == null) {
            singleton = new DefaultInterceptorManager();
        }
        return singleton;
    }

}
