/**
 * Copyright (C) 2002-2007 INRIA (www.inria.fr)
 *
 * CAROL: Common Architecture for RMI ObjectWeb Layer
 *
 * This library is developed inside the ObjectWeb Consortium,
 * http://www.ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: DummyRegistry.java 2213 2010-03-24 10:35:55Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.carol.jndi.ns;

/**
 * Class <code> DummyRegistry </code> is a fake registry service
 * @author Guillaume Riviere
 * @author Florent Benoit (Refactoring)
 */
public class DummyRegistry extends AbsRegistry implements NameService {

    /**
     * start Method, Start a new NameService or do nothing if the name service
     * is all ready start
     * @throws NameServiceException if a problem occure
     */
    @Override
    public void start() throws NameServiceException {
        // do nothing
    }

    /**
     * stop Method, Stop a NameService or do nothing if the name service is all
     * ready stop
     * @throws NameServiceException if a problem occure
     */
    @Override
    public void stop() throws NameServiceException {
        // do nothing
    }
    
    /**
     * set port method, set the port for the name service
     * @param p port number
     */
    @Override
    public void setPort(final int p) {
        
    }
    
    /**
     * get port method, get the port for the name service
     * @return int port number
     */
    @Override
    public int getPort() {
        return 0;
    }

}
