/**
 * Copyright (C) 2007 - Bull S.A.S.
 *
 * CAROL: Common Architecture for RMI ObjectWeb Layer
 *
 * This library is developed inside the OW2 Consortium,
 * http://www.ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JInterceptorsGroup.java 2213 2010-03-24 10:35:55Z benoitf $
 * --------------------------------------------------------------------------
 */
package org.ow2.carol.rmi.jrmp.interceptor.impl;

import org.ow2.carol.rmi.interceptor.spi.JClientRequestInterceptor;
import org.ow2.carol.rmi.interceptor.spi.JServerRequestInterceptor;

/**
 * Associate an initializer with the interceptors created by this.
 * @author Loris Bouzonnet
 */
public class JInterceptorsGroup {

    /**
     * private Interceptor for Context propagation
     */
    private final JServerRequestInterceptor[] sis;

    /**
     * private Interceptor for Context propagation
     */
    private final JClientRequestInterceptor[] cis;

    private final String initializer;

    public JInterceptorsGroup(
            final String initializer,
            final JServerRequestInterceptor[] sis,
            final JClientRequestInterceptor[] cis) {
        this.sis = sis;
        this.cis = cis;
        this.initializer = initializer;
    }

    public JServerRequestInterceptor[] getSis() {
        return sis;
    }

    public JClientRequestInterceptor[] getCis() {
        return cis;
    }

    public String getInitializer() {
        return initializer;
    }

}
